ATA_STD_PORTS(9)

NAME
ata_std_ports - initialize ioaddr with standard port offsets.

SYNOPSIS

void ata_std_ports (struct ata_ioports * ioaddr);

ARGUMENTS

ioaddr
    IO address structure to be initialized

DESCRIPTION

Utility function which initializes data_addr, error_addr, feature_addr, nsect_addr, lbal_addr, lbam_addr, lbah_addr, device_addr, status_addr, and command_addr to standard offsets relative to cmd_addr.

Does not set ctl_addr, altstatus_addr, bmdma_addr, or scr_addr.

AUTHOR
Jeff Garzik.